Package org.eclipse.birt.report.engine.api.script.element

# Interface IDynamicText

All Superinterfaces:
  `IDesignElement`, `IReportElement`, `IReportItem`

public interface IDynamicText extends IReportItem
Represents a the design of a multi line text item in the scripting environment

## Field Summary

### Fields inherited from interface org.eclipse.birt.report.engine.api.script.element.IReportItem

`constants`

## Method Summary

Modifier and Type
Method
Description
`String`
`getContentType()`
Returns the expression that that defines the type of text the multi-line data item holds.
`String`
`getValueExpr()`
Returns the expression that gives the text that the multi-line data item displays.
`void`
`setContentType(String contentType)`
Sets the expression that defines the text type this multi-line data item holds.
`void`
`setValueExpr(String expr)`
Sets the expression that gives the text that this multi-line data item displays.

### Methods inherited from interface org.eclipse.birt.report.engine.api.script.element.IDesignElement

`getNamedExpression, getParent, getQualifiedName, getReport, getStyle, getUserProperty, getUserPropertyExpression, setNamedExpression, setUserProperty, setUserProperty`

### Methods inherited from interface org.eclipse.birt.report.engine.api.script.element.IReportElement

`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getName, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setName`

### Methods inherited from interface org.eclipse.birt.report.engine.api.script.element.IReportItem

`addDataBinding, addHideRule, addHighlightRule, getBookmark, getDataBinding, getDataBindings, getHeight, getHideRules, getHighlightRules, getTocExpression, getWidth, getX, getY, removeDataBinding, removeDataBindings, removeHideRule, removeHideRules, removeHighlightRule, removeHighlightRules, setBookmark, setCurrentView, setHeight, setHeight, setTocExpression, setWidth, setWidth, setX, setX, setY, setY`

## Method Details

### getValueExpr

String getValueExpr()
Returns the expression that gives the text that the multi-line data item displays.

Returns:
  the value expression

### setValueExpr

void setValueExpr(String expr) throws ScriptException
Sets the expression that gives the text that this multi-line data item displays.

Parameters:
  `expr` - the new expression for the value expression
Throws:
  `ScriptException` - if the expression contains errors, or the property is locked.

### getContentType

String getContentType()
Returns the expression that that defines the type of text the multi-line data item holds. The content type can be one of:

- `DesignChoiceConstants.TEXT_DATA_CONTENT_TYPE_AUTO` (default)
- `DesignChoiceConstants.TEXT_DATA_CONTENT_TYPE_PLAIN`: Plain text;
- `DesignChoiceConstants.TEXT_DATA_CONTENT_TYPE_HTML`: HTML format;
- `DesignChoiceConstants.TEXT_DATA_CONTENT_TYPE_RTF`: Rich Text format;

Returns:
  the text type

### setContentType

void setContentType(String contentType) throws ScriptException
Sets the expression that defines the text type this multi-line data item holds. The content type can be one of

- `DesignChoiceConstants.TEXT_DATA_CONTENT_TYPE_AUTO` (default)
- `DesignChoiceConstants.TEXT_DATA_CONTENT_TYPE_PLAIN`: Plain text;
- `DesignChoiceConstants.TEXT_DATA_CONTENT_TYPE_HTML`: HTML format;
- `DesignChoiceConstants.TEXT_DATA_CONTENT_TYPE_RTF`: Rich Text format;

Parameters:
  `contentType` - the new text type
Throws:
  `ScriptException` - if the property is locked or the `contentType` is not one of the above.